@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');
:root{
    --main-color: #ffc400;
    --primary-text-color: #fff;
    --secondary-text-color: #191919;
    --secondary-color: #8b8b8b;
    --tertiary-color: #eff3f4;
    --secondary-bg-color: #503c00;
}

*{
    font-family: 'Lato', sans-serif;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

a{
    text-decoration: none;
}

img{
    width: 100%;
}

input[type="submit"]{
    cursor: pointer;
}

i{
    background-color: var(--main-color);
    color: var(--primary-text-color);
    font-size: 2.5rem;
    padding: 2rem;
}

#header{
    min-height: 90vh;
    background-image: url("./img/main_banner4.png");
    background-size: cover;
    background-position: center;
    color: var(--primary-text-color);
    margin-bottom: 2rem;
    position: relative;
}

#inner-header{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#brand{
    background-color: var(--main-color);
    padding: 1rem;
}

#navbar{
    display: flex;
    gap: 3rem;
    text-transform: uppercase;
    margin-right: 2rem;
}

#navbar a{
    color: var(--primary-text-color);
    font-weight: bold;
}

.banner.active{
    opacity: 1;
}

.banner{
    max-width: 50%;
    padding: 4rem;
    opacity: 0;
    position: absolute;
    transition: 0.6s;
}

.banner h2{
    font-size: 4rem;
    margin-bottom: 1.2rem;
    position: relative;
    z-index: 2;
}

.banner p{
    font-size: 1.5rem;
}

.square{
    display: block;
    width: 150px;
    height: 150px;
    background-color: var(--main-color);
    position: absolute;
    z-index: 1;
    left: 20px;
    top: 40px;
}

.dots{
    display: flex;
    gap: 2rem;
    position: absolute;
    bottom: 3rem;
    left: 3rem;
}

.dot{
    width: 20px;
    height: 20px;
    background-color: var(--secondary-color);
}

.dot.active{
    background-color: var(--main-color);
}

.text-image-section{
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
}

.text-container{
    flex: 2 1 0;
    display: flex;
    gap: 2rem;
    flex-direction: column;
    justify-content: center;
    text-align: right;
}

.section-subtitle{
    text-transform: uppercase;
    font-weight: bold;
    color: var(--main-color );
}

.section-title{
    color: var(--secondary-text-color);
    font-size: 2rem;
}

.btn{
    padding: 1.2rem 1.8rem;
    text-transform: uppercase;
    font-size: 1.4rem;
    font-weight: bold;
    background-color: var(--main-color);
    color: var(--primary-text-color);
    align-self: end;
}

.image-container{
    flex: 1 1 300px;
    position: relative;
}

.image-container i{
    position: absolute;
}

#other-services{
    width: 100%;
    display: flex;
    gap: 2rem;
    padding: 2rem;
}

.service{
    position: relative;
}

.service i{
    position: absolute;
    left: 0;
    top: 0;
    padding: 1rem;
    font-size: 1.5rem;
}

.service-info{
    background-color: var(--tertiary-color);
    padding: 2rem 1.4rem;
    min-height: 250px;
    margin-top: -3rem;
    z-index: 2;
    position: relative;
}

.service h4{
    font-size: 1.8rem;
    margin-bottom: 1rem;
    text-transform: uppercase;
}

#about{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 2rem;
}

#about-text{
    background-image: url(./img/pattern.png);
    background-size: cover;
    background-position: center;
    color: var(--primary-text-color);
    flex: 1 1 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 2rem;
    padding: 4rem 3rem;
}

#about-text .section-subtitle,
#about-text .section-title{
    color: var(--primary-text-color);
}

#about-text i{
    background-color: transparent; 
}

.about-description{
    display: flex;
    align-items: center;
}

.about-description h4{
    font-size: 1.4rem;
    margin-bottom: 1rem;
}

#about-data{
    flex: 1 1 0;
    display: flex;
    flex-wrap: wrap;
    padding: 2rem;
}

#about-data .data{
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 2rem;
    margin-top: -1px;
    margin-left: -1px;
}

#about-data .data:first-child{
    border-bottom: 1px solid var(--secondary-color);
    border-right: 1px solid var(--secondary-color);
}

#about-data .data:last-child{
    border-top: 1px solid var(--secondary-color);
    border-left: 1px solid var(--secondary-color);
}

#about-data .data i{
    background-color: transparent;
    color: var(--main-color);
    font-size: 4rem;
    padding: 0;
}

.data .number{
    font-size: 4rem;
    font-weight: 900;
}

.data .text{
    text-transform: uppercase;
}

#testimonials{
    display: flex;
    align-items: center;
}

#testimonial-information{
    padding: 3rem;
}

.author{
    display:flex;
    justify-content: end;
    align-items: center;
    gap: 1rem;
}

.author .author-name{
    color: var(--main-color);
    text-transform: uppercase;
    font-size: 1.3rem;
    font-weight: bold;
    margin-bottom: 1rem;
}

.author .author-job{
    color: var(--secondary-text-color);
}

.author img{
    width: 100px;
    height: 100px;
}

#team{
    position: relative;
    margin-bottom: 2rem;

}

#team h2{
    font-size: 3rem;
    text-align: center;
    max-width: 1000px;
    margin: 0 auto;
    position: relative;
    z-index: 2;
}

#team h2 span{
    color: var(--main-color)
}

.employees{
    display: flex;
    gap: 2rem;
    padding: 2rem;
    text-align: center;
    justify-content: center;
}

.employee-name{
    color: var(--main-color);
    text-transform: uppercase;
    font-size: 1.2rem;
    font-weight: bold;
    margin: 0.5rem 0;
}

#contact {
    background-color: var(--main-color);
    gap: 0;
    padding-bottom: 5rem;
  }
  
  #contact-information {
    position: relative;
    text-align: left;
    padding: 3rem;
    flex: 1 1 0;
  }
  
  #contact-information .section-subtitle {
    color: var(--primary-text-color);
  }
   
  #contact-information form {
    display: flex;
    flex-direction: column;
    gap: 1rem;
  }
  
  #contact-information .form-control {
    display: flex;
    gap: 1rem;
  }
  
  #contact-information input,
  #contact-information textarea {
    flex: 0.5;
    padding: 1rem;
    border: none;
  }
  
  #contact-information .btn {
    align-self: start;
    border: 2px solid var(--primary-text-color);
    font-size: 1.2rem;
    transition: 0.4s;
  }
  
  #contact-information .btn:hover {
    background-color: var(--primary-text-color);
    color: var(--main-color);
  }
  
  #footer {
    color: var(--primary-text-color);
    background-color: var(--secondary-bg-color);
    display: flex;
    justify-content: space-around;
    padding: 3rem 3rem 5rem;
  }
  
  #footer i {
    font-size: 1rem;
    padding: 0.3rem;
  }
  
  #footer a {
    color: var(--primary-text-color);
  }
  
  .contact-info,
  .links-container {
    width: 20%;
  }
  
  .footer-brand {
    margin-bottom: 2rem;
  }
  
  .footer-brand h2 {
    background-color: var(--main-color);
    margin-bottom: 0.5rem;
    padding: 1rem;
  }
  
  .contact-info p {
    margin-bottom: 1rem;
  }
  
  .contact-info p i {
    background-color: transparent;
    padding: 0;
    color: var(--main-color);
  }
  
  .social-networks p {
    margin-bottom: 1rem;
  }
  
  .networks {
    margin-top: 2rem;
    display: flex;
    gap: 1rem;
  }
  
  #footer .networks i {
    padding: 1rem;
  }
  
  .links-container h4 {
    text-transform: uppercase;
    margin-bottom: 3rem;
  }
  
  .links-container nav {
    display: flex;
    flex-direction: column;
  }
  
  .links-container nav a {
    padding-bottom: 1rem;
    margin-bottom: 1rem;
    border-bottom: 1px solid var(--secondary-color);
  }
  
  .phone-number {
    display: flex;
    border: 1px solid var(--main-color);
    gap: 1rem;
    align-items: center;
    margin-bottom: 1rem;
  }
  
  .phone-info {
    color: var(--secondary-color);
  }

  #menu, #close-menu{
    font-size: 2rem;
    padding: 1rem;
    display: none;
  }

  #close-menu{
    position: absolute;
    top: 0;
    right: 0;
  }

  #mobile-navbar{
    position: fixed;
    top: 0;
    left: 100%;
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.90);
    display: flex;
    flex-direction: column;
    padding: 4rem 2rem;
    transition: 0.4s;
    z-index: 5;
  }

  #mobile-navbar.menu-active{
    left: 0;
  }

  #mobile-navbar a {
    color: var(--primary-text-color);
    font-size: 2rem;
    text-align: center;
    margin-bottom: 1rem;
    padding-bottom: 1rem;
    border-bottom: 1px solid var(--main-color);
  }
  
  @media (max-width: 450px){
    body{
        overflow-x: hidden;
    }

    i{
        padding: 1.5rem;
        font-size: 2rem;
    }

    #navbar{
        display: none;
    }

    #menu, #cose-menu{
        display: block;
    }

    .banner{
        max-width: 100%;
        padding: 4rem 2rem;
    }

    banner h2{
        font-size: 3rem;
    }

    .banner p{
        font-size: 1rem;
    }

    .btn{
        align-self: initial;
    }

    .image-container{
        flex: 1 1 100%;
    }

    #other-services{
        flex-wrap: wrap;
    }

    #about{
        gap: 0;
    }

    #about-text,
    #about-data{
        flex: 1 1 100%;
    }

    .about-description{
        gap: 1rem;
    }

    .about-description i{
        padding: 0;
        min-width: 40px;
    }

    #about #about-data .data{
        width: 100%;
        border: none;
        border-bottom: 1px solid var(--secondary-text-color);
    }

    .text-container{
        text-align: center;
        padding: 2rem;
    }

    #team{
        margin-top: 2rem;
    }

    #team h2{
        font-size: 2.5rem;
    }

    .employees{
        flex-wrap: wrap;
    }

    #contato{
        padding-bottom: 0;
    }

    #contato-information{
        padding: 7rem 1rem;
    }

    #contact-information .form-control{
        flex-direction: column;
    }

    #contact-information .btn{
        align-self: auto;
    }

    #footer{
        flex-wrap: wrap;
    }

    #footer i {
        font-size: 2rem;
        padding: 1rem;
    }

    .networks{
        margin-bottom: 3rem;
    }

    .links-container{
        margin-bottom: 1rem;
    }

    .links-container h4{
        margin-bottom: 1.5rem;
    }

    .contact-info, .links-container{
        width: 100%;
    }




  }